Bug 350 - WARNING (present by cannot be compiled) s during ./configure
WARNING (present by cannot be compiled) s during ./configure
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.0preX
All Solaris
: P1 minor
: none
Assigned To: Tim Potter
:
: 531 1434 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-26 04:44 UTC by Mikolaj Leszczuk
Modified: 2005-08-24 10:18 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mikolaj Leszczuk 2003-08-26 04:44:17 UTC
I fisrt contacted autoconf maintainers but they redirected me to samba package
maintainers.
Just see the output of ./configure below:
checking for gcc... gcc
checking for C compiler default output... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking for a BSD-compatible install... /opt/sfw/bin/ginstall -c
checking for gawk... no
checking for mawk... no
checking for nawk... nawk
checking for perl... /usr/bin/perl
checking if the linker (ld) is GNU ld... no
checking for library containing strerror... none required
checking whether gcc and cc understand -c and -o together... yes
checking that the C compiler understands -Werror... yes
checking that the C compiler understands volatile... yes
checking uname -s... SunOS
checking uname -r... 5.9
checking uname -m... sun4u
checking uname -p... sparc
checking build system type... sparc-sun-solaris2.9
checking host system type... sparc-sun-solaris2.9
checking target system type... sparc-sun-solaris2.9
checking config.cache system type... same
enabling large file support
checking for inline... inline
checking how to run the C preprocessor... gcc -E
checking for egrep... egrep
checking for ANSI C header files... yes
checking for dirent.h that defines DIR... yes
checking for library containing opendir... none required
checking whether time.h and sys/time.h may both be included... yes
checking for sys/wait.h that is POSIX.1 compatible... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... no
checking for unistd.h... yes
checking arpa/inet.h usability... yes
checking arpa/inet.h presence... yes
checking for arpa/inet.h... yes
checking sys/fcntl.h usability... yes
checking sys/fcntl.h presence... yes
checking for sys/fcntl.h... yes
checking sys/select.h usability... yes
checking sys/select.h presence... yes
checking for sys/select.h... yes
checking fcntl.h usability... yes
checking fcntl.h presence... yes
checking for fcntl.h... yes
checking sys/time.h usability... yes
checking sys/time.h presence... yes
checking for sys/time.h... yes
checking sys/unistd.h usability... yes
checking sys/unistd.h presence... yes
checking for sys/unistd.h... yes
checking for unistd.h... (cached) yes
checking utime.h usability... yes
checking utime.h presence... yes
checking for utime.h... yes
checking grp.h usability... yes
checking grp.h presence... yes
checking for grp.h... yes
checking sys/id.h usability... no
checking sys/id.h presence... no
checking for sys/id.h... no
checking limits.h usability... yes
checking limits.h presence... yes
checking for limits.h... yes
checking for memory.h... (cached) yes
checking net/if.h usability... no
checking net/if.h presence... yes
configure: WARNING: net/if.h: present but cannot be compiled
configure: WARNING: net/if.h: check for missing prerequisite headers?
configure: WARNING: net/if.h: proceeding with the preprocessor's result
configure: WARNING:     ## ------------------------------------ ##
configure: WARNING:     ## Report this to bug-autoconf@gnu.org. ##
configure: WARNING:     ## ------------------------------------ ##
checking for net/if.h... yes
checking compat.h usability... no
checking compat.h presence... no
checking for compat.h... no
checking rpc/rpc.h usability... yes
checking rpc/rpc.h presence... yes
checking for rpc/rpc.h... yes
checking rpcsvc/nis.h usability... yes
checking rpcsvc/nis.h presence... yes
checking for rpcsvc/nis.h... yes
checking rpcsvc/yp_prot.h usability... yes
checking rpcsvc/yp_prot.h presence... yes
checking for rpcsvc/yp_prot.h... yes
checking rpcsvc/ypclnt.h usability... yes
checking rpcsvc/ypclnt.h presence... yes
checking for rpcsvc/ypclnt.h... yes
checking sys/param.h usability... yes
checking sys/param.h presence... yes
checking for sys/param.h... yes
checking ctype.h usability... yes
checking ctype.h presence... yes
checking for ctype.h... yes
checking for sys/wait.h... (cached) yes
checking sys/resource.h usability... yes
checking sys/resource.h presence... yes
checking for sys/resource.h... yes
checking sys/ioctl.h usability... yes
checking sys/ioctl.h presence... yes
checking for sys/ioctl.h... yes
checking sys/ipc.h usability... yes
checking sys/ipc.h presence... yes
checking for sys/ipc.h... yes
checking sys/mode.h usability... yes
checking sys/mode.h presence... yes
checking for sys/mode.h... yes
checking sys/mman.h usability... yes
checking sys/mman.h presence... yes
checking for sys/mman.h... yes
checking sys/filio.h usability... yes
checking sys/filio.h presence... yes
checking for sys/filio.h... yes
checking sys/priv.h usability... no
checking sys/priv.h presence... no
checking for sys/priv.h... no
checking sys/shm.h usability... yes
checking sys/shm.h presence... yes
checking for sys/shm.h... yes
checking for string.h... (cached) yes
checking for strings.h... (cached) yes
checking for stdlib.h... (cached) yes
checking sys/socket.h usability... yes
checking sys/socket.h presence... yes
checking for sys/socket.h... yes
checking sys/mount.h usability... yes
checking sys/mount.h presence... yes
checking for sys/mount.h... yes
checking sys/vfs.h usability... yes
checking sys/vfs.h presence... yes
checking for sys/vfs.h... yes
checking sys/fs/s5param.h usability... no
checking sys/fs/s5param.h presence... no
checking for sys/fs/s5param.h... no
checking sys/filsys.h usability... no
checking sys/filsys.h presence... no
checking for sys/filsys.h... no
checking termios.h usability... yes
checking termios.h presence... yes
checking for termios.h... yes
checking termio.h usability... yes
checking termio.h presence... yes
checking for termio.h... yes
checking sys/termio.h usability... yes
checking sys/termio.h presence... yes
checking for sys/termio.h... yes
checking sys/statfs.h usability... yes
checking sys/statfs.h presence... yes
checking for sys/statfs.h... yes
checking sys/dustat.h usability... no
checking sys/dustat.h presence... no
checking for sys/dustat.h... no
checking sys/statvfs.h usability... yes
checking sys/statvfs.h presence... yes
checking for sys/statvfs.h... yes
checking stdarg.h usability... yes
checking stdarg.h presence... yes
checking for stdarg.h... yes
checking sys/sockio.h usability... yes
checking sys/sockio.h presence... yes
checking for sys/sockio.h... yes
checking security/pam_modules.h usability... no
checking security/pam_modules.h presence... yes
configure: WARNING: security/pam_modules.h: present but cannot be compiled
configure: WARNING: security/pam_modules.h: check for missing prerequisite headers?
configure: WARNING: security/pam_modules.h: proceeding with the preprocessor's
result
configure: WARNING:     ## ------------------------------------ ##
configure: WARNING:     ## Report this to bug-autoconf@gnu.org. ##
configure: WARNING:     ## ------------------------------------ ##
checking for security/pam_modules.h... yes
checking security/_pam_macros.h usability... no
checking security/_pam_macros.h presence... no
checking for security/_pam_macros.h... no
checking dlfcn.h usability... yes
checking dlfcn.h presence... yes
checking for dlfcn.h... yes
checking sys/syslog.h usability... yes
checking sys/syslog.h presence... yes
checking for sys/syslog.h... yes
checking syslog.h usability... yes
checking syslog.h presence... yes
checking for syslog.h... yes
checking execinfo.h usability... no
checking execinfo.h presence... no
checking for execinfo.h... no
checking langinfo.h usability... yes
checking langinfo.h presence... yes
checking for langinfo.h... yes
checking locale.h usability... yes
checking locale.h presence... yes
checking for locale.h... yes
checking valgrind.h usability... no
checking valgrind.h presence... no
checking for valgrind.h... no
checking valgrind/valgrind.h usability... no
checking valgrind/valgrind.h presence... no
checking for valgrind/valgrind.h... no
checking valgrind/memcheck.h usability... no
checking valgrind/memcheck.h presence... no
checking for valgrind/memcheck.h... no
checking shadow.h usability... yes
checking shadow.h presence... yes
checking for shadow.h... yes
checking netinet/ip.h usability... no
checking netinet/ip.h presence... yes
configure: WARNING: netinet/ip.h: present but cannot be compiled
configure: WARNING: netinet/ip.h: check for missing prerequisite headers?
configure: WARNING: netinet/ip.h: proceeding with the preprocessor's result
configure: WARNING:     ## ------------------------------------ ##
configure: WARNING:     ## Report this to bug-autoconf@gnu.org. ##
configure: WARNING:     ## ------------------------------------ ##
checking for netinet/ip.h... yes
checking netinet/tcp.h usability... yes
checking netinet/tcp.h presence... yes
checking for netinet/tcp.h... yes
checking netinet/in_systm.h usability... yes
checking netinet/in_systm.h presence... yes
checking for netinet/in_systm.h... yes
checking netinet/in_ip.h usability... no
checking netinet/in_ip.h presence... no
checking for netinet/in_ip.h... no
checking nss.h usability... no
checking nss.h presence... no
checking for nss.h... no
checking nss_common.h usability... yes
checking nss_common.h presence... yes
checking for nss_common.h... yes
checking ns_api.h usability... no
checking ns_api.h presence... no
checking for ns_api.h... no
checking sys/security.h usability... no
checking sys/security.h presence... no
checking for sys/security.h... no
checking security/pam_appl.h usability... yes
checking security/pam_appl.h presence... yes
checking for security/pam_appl.h... yes
checking for security/pam_modules.h... (cached) yes
checking stropts.h usability... yes
checking stropts.h presence... yes
checking for stropts.h... yes
checking poll.h usability... yes
checking poll.h presence... yes
checking for poll.h... yes
checking sys/capability.h usability... no
checking sys/capability.h presence... no
checking for sys/capability.h... no
checking syscall.h usability... no
checking syscall.h presence... no
checking for syscall.h... no
checking sys/syscall.h usability... yes
checking sys/syscall.h presence... yes
checking for sys/syscall.h... yes
checking sys/acl.h usability... yes
checking sys/acl.h presence... yes
checking for sys/acl.h... yes
checking sys/attributes.h usability... no
checking sys/attributes.h presence... no
checking for sys/attributes.h... no
checking attr/xattr.h usability... no
checking attr/xattr.h presence... no
checking for attr/xattr.h... no
checking sys/cdefs.h usability... no
checking sys/cdefs.h presence... no
checking for sys/cdefs.h... no
checking glob.h usability... yes
checking glob.h presence... yes
checking for glob.h... yes
checking utmp.h usability... yes
checking utmp.h presence... yes
checking for utmp.h... yes
checking utmpx.h usability... yes
checking utmpx.h presence... yes
checking for utmpx.h... yes
checking lastlog.h usability... yes
checking lastlog.h presence... yes
checking for lastlog.h... yes
checking for int... yes
checking size of int... 4
checking for long... yes
checking size of long... 4
checking for short... yes
checking size of short... 2
checking for an ANSI C-conforming const... yes
checking for inline... (cached) inline
checking whether byte ordering is bigendian... yes
checking whether char is unsigned... no
checking return type of signal handlers... void
checking for uid_t in sys/types.h... yes
checking for mode_t... yes
checking for off_t... yes
checking for size_t... yes
checking for pid_t... yes
checking for struct stat.st_rdev... yes
checking for d_off in dirent... yes
checking for ino_t... yes
checking for loff_t... no
checking for offset_t... yes
checking for ssize_t... yes
checking for wchar_t... yes
checking for cups-config... no
checking for library containing dlopen... -ldl
checking for immediate structures... yes
checking if the compiler will optimize out function calls... yes
checking for unix domain sockets... yes
checking for socklen_t type... yes
checking for sig_atomic_t type... yes
checking for errno declaration... yes
checking for setresuid declaration... no
checking for setresgid declaration... no
checking for asprintf declaration... no
checking for vasprintf declaration... no
checking for vsnprintf declaration... yes
checking for snprintf declaration... yes
checking for real setresuid... no
checking for real setresgid... no
checking for working memcmp... yes
checking whether to use readline... yes
checking readline.h usability... no
checking readline.h presence... no
checking for readline.h... no
checking history.h usability... no
checking history.h presence... no
checking for history.h... no
checking readline/readline.h usability... no
checking readline/readline.h presence... no
checking for readline/readline.h... no
checking readline/history.h usability... no
checking readline/history.h presence... no
checking for readline/history.h... no
checking for readline.h... (cached) no
checking for readline/readline.h... (cached) no
checking for rl_completion_matches in -lreadline... no
checking for connect... no
checking for printf in -lnsl_s... no
checking for printf in -lnsl... yes
checking for connect in -lsocket... yes
checking for connect in -linet... no
checking for library containing yp_get_default_domain... none required
checking for yp_get_default_domain... yes
checking for execl... yes
checking for dlopen... yes
checking for dlclose... yes
checking for dlsym... yes
checking for dlerror... yes
checking for waitpid... yes
checking for getcwd... yes
checking for strdup... yes
checking for strndup... no
checking for strnlen... no
checking for strtoul... yes
checking for strerror... yes
checking for chown... yes
checking for fchown... yes
checking for chmod... yes
checking for fchmod... yes
checking for chroot... yes
checking for link... yes
checking for mknod... yes
checking for mknod64... no
checking for fstat... yes
checking for strchr... yes
checking for utime... yes
checking for utimes... yes
checking for getrlimit... yes
checking for fsync... yes
checking for bzero... yes
checking for memset... yes
checking for strlcpy... yes
checking for strlcat... yes
checking for setpgid... yes
checking for memmove... yes
checking for vsnprintf... yes
checking for snprintf... yes
checking for asprintf... no
checking for vasprintf... no
checking for setsid... yes
checking for glob... yes
checking for strpbrk... yes
checking for pipe... yes
checking for crypt16... no
checking for getauthuid... no
checking for strftime... yes
checking for sigprocmask... yes
checking for sigblock... no
checking for sigaction... yes
checking for sigset... yes
checking for innetgr... yes
checking for setnetgrent... yes
checking for getnetgrent... yes
checking for endnetgrent... yes
checking for initgroups... yes
checking for select... yes
checking for poll... yes
checking for rdchk... no
checking for getgrnam... yes
checking for getgrent... yes
checking for pathconf... yes
checking for realpath... yes
checking for setpriv... no
checking for setgidx... no
checking for setuidx... no
checking for setgroups... yes
checking for sysconf... yes
checking for mktime... yes
checking for rename... yes
checking for ftruncate... yes
checking for stat64... yes
checking for fstat64... yes
checking for lstat64... yes
checking for fopen64... yes
checking for atexit... yes
checking for grantpt... yes
checking for dup2... yes
checking for lseek64... yes
checking for ftruncate64... yes
checking for readdir64... yes
checking for fseek64... no
checking for fseeko64... yes
checking for ftell64... no
checking for ftello64... yes
checking for setluid... no
checking for getpwanam... no
checking for setlinebuf... yes
checking for srandom... yes
checking for random... yes
checking for srand... yes
checking for rand... yes
checking for setenv... no
checking for usleep... yes
checking for strcasecmp... yes
checking for fcvt... yes
checking for fcvtl... no
checking for symlink... yes
checking for readlink... yes
checking for syslog... yes
checking for vsyslog... yes
checking for timegm... no
checking for setlocale... yes
checking for nl_langinfo... yes
checking for setbuffer... yes
checking for shmget... yes
checking for shm_open... no
checking for backtrace_symbols... no
checking for syscall... yes
checking for _dup... yes
checking for _dup2... yes
checking for _opendir... yes
checking for _readdir... yes
checking for _seekdir... yes
checking for _telldir... yes
checking for _closedir... yes
checking for __dup... no
checking for __dup2... no
checking for __opendir... no
checking for __readdir... no
checking for __seekdir... no
checking for __telldir... no
checking for __closedir... no
checking for __getcwd... no
checking for _getcwd... yes
checking for __xstat... no
checking for __fxstat... no
checking for __lxstat... no
checking for _stat... yes
checking for _lstat... yes
checking for _fstat... yes
checking for __stat... no
checking for __lstat... no
checking for __fstat... no
checking for _acl... yes
checking for __acl... no
checking for _facl... yes
checking for __facl... no
checking for _open... yes
checking for __open... no
checking for _chdir... yes
checking for __chdir... no
checking for _close... yes
checking for __close... no
checking for _fchdir... yes
checking for __fchdir... no
checking for _fcntl... yes
checking for __fcntl... no
checking for getdents... yes
checking for _getdents... yes
checking for __getdents... no
checking for _lseek... yes
checking for __lseek... no
checking for _read... yes
checking for __read... no
checking for getdirentries... no
checking for _write... yes
checking for __write... no
checking for _fork... yes
checking for __fork... no
checking for _stat64... yes
checking for __stat64... no
checking for _fstat64... yes
checking for __fstat64... no
checking for _lstat64... yes
checking for __lstat64... no
checking for __sys_llseek... no
checking for llseek... yes
checking for _llseek... yes
checking for __llseek... no
checking for readdir64... (cached) yes
checking for _readdir64... yes
checking for __readdir64... no
checking for pread... yes
checking for _pread... yes
checking for __pread... no
checking for pread64... yes
checking for _pread64... yes
checking for __pread64... no
checking for pwrite... yes
checking for _pwrite... yes
checking for __pwrite... no
checking for pwrite64... yes
checking for _pwrite64... yes
checking for __pwrite64... no
checking for open64... yes
checking for _open64... yes
checking for __open64... no
checking for creat64... yes
checking for getgrouplist... no
checking for dn_expand in -lresolv... yes
checking for putprpwnam in -lsecurity... no
checking for putprpwnam... no
checking for putprpwnam in -lsec... no
checking for putprpwnam... (cached) no
checking for set_auth_parameters in -lsecurity... no
checking for set_auth_parameters... no
checking for set_auth_parameters in -lsec... no
checking for set_auth_parameters... (cached) no
checking for getspnam in -lgen... yes
checking for getspnam... yes
checking for getspnam in -lsecurity... no
checking for getspnam... (cached) yes
checking for getspnam in -lsec... yes
checking for getspnam... (cached) yes
checking for bigcrypt in -lsecurity... no
checking for bigcrypt... no
checking for bigcrypt... (cached) no
checking for getprpwnam in -lsecurity... no
checking for getprpwnam... no
checking for getprpwnam... (cached) no
checking for library containing getxattr... no
checking for getxattr... no
checking for lgetxattr... no
checking for fgetxattr... no
checking for listxattr... no
checking for llistxattr... no
checking for flistxattr... no
checking for removexattr... no
checking for lremovexattr... no
checking for fremovexattr... no
checking for setxattr... no
checking for lsetxattr... no
checking for fsetxattr... no
checking for attr_get... no
checking for attr_list... no
checking for attr_set... no
checking for attr_remove... no
checking for attr_getf... no
checking for attr_listf... no
checking for attr_setf... no
checking for attr_removef... no
checking ability to build shared libraries... true
checking linker flags for shared libraries... -G
checking compiler flags for position-independent code... 
checking whether building shared libraries actually works... yes
checking for long long... yes
checking for LL suffix on long long integers... yes
checking for 64 bit off_t... yes
checking for off64_t... no
checking for 64 bit ino_t... yes
checking for ino64_t... no
checking for dev64_t... no
checking for struct dirent64... yes
checking for major macro... no
checking for minor macro... no
checking for unsigned char... no
checking for sin_len in sock... no
checking whether seekdir returns void... yes
checking for __FUNCTION__ macro... yes
checking if gettimeofday takes tz argument... yes
checking for __va_copy... yes
checking for C99 vsnprintf... no
checking for broken readdir... no
checking for utimbuf... yes
checking for pututline... yes
checking for pututxline... yes
checking for updwtmp... yes
checking for updwtmpx... yes
checking for getutmpx... yes
checking for ut_name in utmp... yes
checking for ut_user in utmp... yes
checking for ut_id in utmp... yes
checking for ut_host in utmp... no
checking for ut_time in utmp... yes
checking for ut_tv in utmp... no
checking for ut_type in utmp... yes
checking for ut_pid in utmp... yes
checking for ut_exit in utmp... yes
checking for ut_addr in utmp... no
checking whether pututline returns pointer... yes
checking for ut_syslen in utmpx... yes
checking for iconv in /usr... yes

checking can we convert from CP850 to UCS2-LE?... no
checking can we convert from IBM850 to UCS2-LE?... no
checking can we convert from ASCII to UCS2-LE?... ASCII
checking can we convert from UTF-8 to UCS2-LE?... UTF-8
checking for iconv in /usr/local... yes

checking can we convert from CP850 to UCS2-LE?... no
checking can we convert from IBM850 to UCS2-LE?... no
checking can we convert from ASCII to UCS2-LE?... ASCII
checking can we convert from UTF-8 to UCS2-LE?... UTF-8
checking for iconv in /sw... yes

checking can we convert from CP850 to UCS2-LE?... no
checking can we convert from IBM850 to UCS2-LE?... no
checking can we convert from ASCII to UCS2-LE?... ASCII
checking can we convert from UTF-8 to UCS2-LE?... UTF-8
configure: WARNING: Sufficient support for iconv function was not found.
    Install libiconv from http://freshmeat.net/projects/libiconv/ for better
charset compatibility!
checking for Linux kernel oplocks... no
checking for kernel change notify support... no
checking for kernel share modes... no
checking for IRIX kernel oplock type definitions... no
checking for irix specific capabilities... no
checking for int16 typedef included by rpc/rpc.h... no
checking for uint16 typedef included by rpc/rpc.h... no
checking for int32 typedef included by rpc/rpc.h... no
checking for uint32 typedef included by rpc/rpc.h... no
checking for conflicting AUTH_ERROR define in rpc/rpc.h... no
checking for test routines... yes
checking for ftruncate extend... yes
checking for AF_LOCAL socket support... no
checking for broken getgroups... no
checking whether getpass should be replaced... yes
checking for broken inet_ntoa... no
checking for secure mkstemp... yes
checking for sysconf(_SC_NGROUPS_MAX)... yes
checking for root... no
configure: WARNING: running as non-root will disable some tests
checking for iface AIX... no
checking for iface ifconf... got 2 interfaces:
hme0       IP=149.156.114.195 NETMASK=255.255.255.128
lo0        IP=127.0.0.1 NETMASK=255.0.0.0
yes
checking for setresuid... no
checking for setreuid... yes
checking for working mmap... yes
checking for ftruncate needs root... no
checking for fcntl locking... yes
checking for broken (glibc2.1/x86) 64 bit fcntl locking... no
checking for 64 bit fcntl locking... yes
checking for st_blocks in struct stat... yes
checking for st_blksize in struct stat... yes
checking for broken nisplus include files... yes
checking whether to use smbwrapper... no
checking whether to use AFS clear-text auth... no
checking whether to use DFS clear-text auth... no
checking for LDAP support... auto
checking ldap.h usability... yes
checking ldap.h presence... yes
checking for ldap.h... yes
checking lber.h usability... yes
checking lber.h presence... yes
checking for lber.h... yes
checking for ber_scanf in -llber... no
checking for ldap_init in -lldap... yes
checking for ldap_domain2hostlist... no
checking for ldap_set_rebind_proc... yes
checking whether ldap_set_rebind_proc takes 3 arguments... 3
checking for ldap_initialize... no
configure: WARNING: libldap is needed for LDAP support
checking for Active Directory and krb5 support... auto
configure: WARNING: Active Directory Support requires LDAP support
checking whether to build experimental passdb libraries... no
checking whether to use automount... no
checking whether to use smbmount... no
checking whether to use PAM... no
checking for pam_get_data in -lpam... yes
checking whether to use pam_smbpass... no
checking for library containing crypt... none required
checking for a crypt that needs truncated salt... no
checking whether to use LDAP SAM 2.2 compatible configuration... no
checking whether to use NISPLUS_HOME... no
checking whether to use syslog logging... no
checking whether to use profiling... no
checking whether to try disk-quotas support... no
checking whether to try the new lib/sysquotas.c interface... no
checking sys/fs/vx_quota.h usability... no
checking sys/fs/vx_quota.h presence... no
checking for sys/fs/vx_quota.h... no
checking sys/quota.h usability... no
checking sys/quota.h presence... no
checking for sys/quota.h... no
checking asm/types.h usability... no
checking asm/types.h presence... no
checking for asm/types.h... no
checking linux/quota.h usability... no
checking linux/quota.h presence... no
checking for linux/quota.h... no
checking linux/xqm.h usability... no
checking linux/xqm.h presence... no
checking for linux/xqm.h... no
checking linux/xfs_fs.h usability... no
checking linux/xfs_fs.h presence... no
checking for linux/xfs_fs.h... no
checking xfs/libxfs.h usability... no
checking xfs/libxfs.h presence... no
checking for xfs/libxfs.h... no
checking xfs/xqm.h usability... no
checking xfs/xqm.h presence... no
checking for xfs/xqm.h... no
checking xfs/xfs_fs.h usability... no
checking xfs/xfs_fs.h presence... no
checking for xfs/xfs_fs.h... no
checking linux/dqblk_xfs.h usability... no
checking linux/dqblk_xfs.h presence... no
checking for linux/dqblk_xfs.h... no
checking for struct if_dqblk in <linux/quota.h>... no
checking for struct mem_dqblk in <linux/quota.h>... no
checking if struct dqblk has .dqb_fsoftlimit... no
checking for long quotactl(int cmd, char *special, qid_t id, caddr_t addr)... no
checking for int quotactl(const char *path, int cmd, int id, char *addr)... no
checking for CRAY int quotactl (char *spec, int request, char *arg)... no
checking mntent.h usability... no
checking mntent.h presence... no
checking for mntent.h... no
checking for setmntent... no
checking for getmntent... yes
checking for endmntent... no
checking devnm.h usability... no
checking devnm.h presence... no
checking for devnm.h... no
checking for devnm... no
checking whether the old quota support works... yes
checking whether to use the old quota support... no
checking whether to support utmp accounting... yes
checking chosen man pages' language(s)... en
checking whether to build the libsmbclient shared library... yes
configure: checking how to get filesystem space usage...
checking statvfs64 function (SVR4)... yes
checking if large file support can be enabled... yes
checking whether to support ACLs... no
checking whether to check to support sendfile... yes
checking for sendfilev in -lsendfile... yes
checking for solaris sendfilev64 support... yes
checking for solaris sendfilev support... yes
checking whether to build winbind... yes
checking for struct passwd.pw_comment... yes
checking for struct passwd.pw_age... yes
checking for poptGetContext in -lpopt... no
checking whether to use included popt... yes
checking how to build pdb_xml... not
checking how to build pdb_mysql... not
checking how to build pdb_ldap... not
checking how to build pdb_smbpasswd... static
checking how to build pdb_tdbsam... static
checking how to build pdb_guest... static
checking how to build rpc_lsa... static
checking how to build rpc_reg... static
checking how to build rpc_lsa_ds... static
checking how to build rpc_wks... static
checking how to build rpc_net... static
checking how to build rpc_dfs... static
checking how to build rpc_srv... static
checking how to build rpc_spoolss... static
checking how to build rpc_samr... static
checking how to build rpc_echo... not
checking how to build idmap_ldap... not
checking how to build idmap_tdb... static
checking how to build charset_weird... not
checking how to build auth_rhosts... static
checking how to build auth_sam... static
checking how to build auth_unix... static
checking how to build auth_winbind... static
checking how to build auth_server... static
checking how to build auth_domain... static
checking how to build auth_builtin... static
checking how to build vfs_recycle... shared
checking how to build vfs_audit... shared
checking how to build vfs_extd_audit... shared
checking how to build vfs_netatalk... shared
checking how to build vfs_fake_perms... shared
checking how to build vfs_default_quota... shared
checking how to build vfs_readonly... shared
Using libraries:
    LIBS = -lsendfile -lsec -lgen -lresolv -lsocket -lnsl -ldl 
checking configure summary... yes
configure: creating ./config.status
config.status: creating include/stamp-h
config.status: creating Makefile
config.status: creating script/findsmb
config.status: creating include/config.h
Comment 1 Tim Potter 2003-08-26 21:10:37 UTC
Here's the standard quote you get from the autoconf documentation from
bug-autoconf@gnu.org:

>   Previous versions of Autoconf merely checked whether the header was
>accepted by the preprocessor.  This was changed because the old test was
>inappropriate for typical uses.  Headers are typically used to compile,
>not merely to preprocess, and the old behavior sometimes accepted
>headers that clashed at compile-time.  If you need to check whether a
>header is preprocessable, you can use `AC_PREPROC_IFELSE' (*note
>Running the Preprocessor::).

>   This scheme, which improves the robustness of the test, also requires
>that you make sure that headers that must be included before the
>HEADER-FILE be part of the INCLUDES, (*note Default Includes::).  If
>looking for `bar.h', which requires that `foo.h' be included before if
>it exists, we suggest the following scheme:

>AC_CHECK_HEADERS([foo.h])
>AC_CHECK_HEADERS([bar.h], [], [],
>[#if HAVE_FOO_H
># include <foo.h>
># endif

The problem with this solution is now Samba developers have to invest time
working out which other header files to include in the AC_CHECK_HEADERS
invocation to keep things working.  )-:  This information is already in the
Samba source code (because it compiles despite the autoconf warning) and it
would be silly to duplicate this.

So what is the solution?  I'm going to have a poke around the autoconf
documentation and see if there is a macro that has the same semantics as the
2.13 version of AC_CHECK_HEADERS.

Comment 2 Tim Potter 2003-09-28 16:48:47 UTC
*** Bug 531 has been marked as a duplicate of this bug. ***
Comment 3 Tim Potter 2003-09-28 19:20:43 UTC
A tip from Matt Selsky in bug 531:

>From looking at the docs for autoconf-2.57, if you use '-' as the 4th argument
>to AC_CHECK_HEADERS() then it should do the old CPP-only checking.
Comment 4 Matt Selsky 2003-12-04 20:46:10 UTC
Did you decide to implement my suggestion?  I'm still getting these warnings in
3.0.1rc1 on Solaris.
Comment 5 Gerald (Jerry) Carter 2004-10-31 14:41:23 UTC
*** Bug 1434 has been marked as a duplicate of this bug. ***
Comment 6 Gerald (Jerry) Carter 2004-10-31 14:54:34 UTC
this fix seems to work,  I'll check it in.
Comment 7 Gerald (Jerry) Carter 2004-10-31 14:56:53 UTC
fox to mark as fixed.
Comment 8 Gerald (Jerry) Carter 2005-02-07 09:05:52 UTC
originally reported against one of the 3.0.0rc[1-4] releases.
Cleaning up non-production versions.
Comment 9 Gerald (Jerry) Carter 2005-08-24 10:18:29 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.